Skip Menu |
 

This queue is for tickets about the Strict-Perl CPAN distribution.

Report information
The Basics
Id: 119964
Status: resolved
Priority: 0/
Queue: Strict-Perl

People
Owner: ina [...] cpan.org
Requestors: bkb [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: This module cannot be installed or used
Download (untitled) / with headers
text/plain 973b
The module cannot be used. I tried installing it via cpanm $ cpanm Strict::Perl --> Working on Strict::Perl Fetching http://www.cpan.org/authors/id/I/IN/INA/Strict/Perl/Strict-Perl-2015.08.tar.gz ... OK Configuring Strict-Perl-2015.08 ... OK Building and testing Strict-Perl-2015.08 ... OK Successfully installed Strict-Perl-2015.08 1 distribution installed and then wrote a test script which is like this: use Strict::Perl 2015.08; Perl gives an error like this: $ perl test.pl Can't locate Strict/Perl.pm in @INC (you may need to install the Strict::Perl module) (@INC contains: /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/site_perl/5.18.2 /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/5.18.2 /home/ben/software/install/lib/perl5/site_perl .) at test.pl line 6. BEGIN failed--compilation aborted at test.pl line 6. I cannot imagine what has happened here.
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Thu, 26 Jan 2017 00:32:49 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: ina cpan <ina.cpan [...] gmail.com>
Download (untitled) / with headers
text/plain 651b
Thanks, your report. I have some questions. 1) Where is your Strict/Perl.pm ? ------------------------------------------------------------------- @INC contains: /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/site_perl/5.18.2 /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/5.18.2 /home/ben/software/install/lib/perl5/site_perl .(dot) ------------------------------------------------------------------- 2) Which version of perl of "perl test.pl" (maybe 5.18.2 :) and... 3) Which version of perl of "cpanm Strict::Perl" (same as 2)?) Thank you!
CC: BKB <bkb [...] cpan.org>
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Thu, 26 Jan 2017 10:21:08 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: Ben Bullock <benkasminbullock [...] gmail.com>
Download (untitled) / with headers
text/plain 8.6k
On 26 January 2017 at 00:33, ina cpan via RT <bug-Strict-Perl@rt.cpan.org> wrote: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > Thanks, your report. > > I have some questions. > > 1) Where is your Strict/Perl.pm ?
It is not anywhere, the module is not installed: [ben@mikan] {10:14 12} Strict-Perl-2015.08 538 $ cd software/install /home/ben/software/install [ben@mikan] {10:14 20} install 539 $ find . -name "Perl.pm" ./lib/perl5/site_perl/5.18.2/i386-freebsd/AnyEvent/IO/Perl.pm ./lib/perl5/site_perl/5.18.2/i386-freebsd/AnyEvent/Impl/Perl.pm ./lib/perl5/site_perl/5.18.2/Perl/Critic/Utils/Perl.pm ./lib/perl5/site_perl/5.18.2/File/Find/Rule/Perl.pm ./lib/perl5/site_perl/5.18.2/Shell/Perl.pm ./lib/perl5/site_perl/5.18.2/TAP/Parser/SourceHandler/Perl.pm ./lib/perl5/site_perl/5.18.2/Authen/SASL/Perl.pm ./lib/perl5/site_perl/5.18.2/MooseX/Types/Perl.pm ./lib/perl5/site_perl/5.18.2/Config/Any/Perl.pm ./lib/perl5/site_perl/5.18.2/Log/Report/Dispatcher/Perl.pm ./lib/perl5/site_perl/5.18.2/Dist/Zilla/MVP/Reader/Perl.pm ./lib/perl5/site_perl/5.18.2/ShipIt/ProjectType/Perl.pm ./lib/perl5/site_perl/5.18.2/Modern/Perl.pm ./lib/perl5/site_perl/5.18.2/Test2/Require/Perl.pm ./lib/perl5/site_perl/5.18.2/Probe/Perl.pm ./lib/perl5/site_perl/5.18.2/Specio/Library/Perl.pm ./lib/perl5/5.18.2/TAP/Parser/SourceHandler/Perl.pm Show quoted text
> ------------------------------------------------------------------- > @INC contains: > /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/site_perl/5.18.2 > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/5.18.2 > /home/ben/software/install/lib/perl5/site_perl > .(dot) > ------------------------------------------------------------------- > > 2) Which version of perl of "perl test.pl" (maybe 5.18.2 :) and...
Here is a complete output of installing the module from the source code and demonstration that it doesn't work when installed like this. What I typed is after the $ sign. ----------------------------------------- $ mkdir ina $ cd ina /home/ben/ina $ wget https://cpan.metacpan.org/authors/id/I/IN/INA/Strict/Perl/Strict-Perl-2015.08.tar.gz --2017-01-26 10:07:58-- https://cpan.metacpan.org/authors/id/I/IN/INA/Strict/Perl/Strict-Perl-2015.08.tar.gz Resolving cpan.metacpan.org (cpan.metacpan.org)... 151.101.72.249 Connecting to cpan.metacpan.org (cpan.metacpan.org)|151.101.72.249|:443... connected. HTTP request sent, awaiting response... 200 OK Length: 10882 (11K) [application/x-gzip] Saving to: ‘Strict-Perl-2015.08.tar.gz’ Strict-Perl-2015.08 100%[===================>] 10.63K --.-KB/s in 0s 2017-01-26 10:07:58 (82.2 MB/s) - ‘Strict-Perl-2015.08.tar.gz’ saved [10882/10882] $ perl -V Summary of my perl5 (revision 5 version 18 subversion 2) configuration: Platform: osname=freebsd, osvers=10.1-release-p5, archname=i386-freebsd uname='freebsd mikan 10.1-release-p5 freebsd 10.1-release-p5 #0: tue jan 27 08:52:50 utc 2015 root@amd64-builder.daemonology.net:usrobjusrsrcsysgeneric i386 ' config_args='-Dprefix=/home/ben/software/install -d' hint=recommended, useposix=true, d_sigaction=define useithreads=undef, usemultiplicity=undef useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef use64bitint=undef, use64bitall=undef, uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='cc', ccflags ='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include', optimize='-O', cppflags='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include' ccversion='', gccversion='4.2.1 Compatible FreeBSD Clang 3.4.1 (tags/RELEASE_34/dot1-final 208032)', gccosandvers='' intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12 ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8 alignbytes=4, prototype=define Linker and Libraries: ld='cc', ldflags ='-Wl,-E -fstack-protector -L/usr/local/lib' libpth=/usr/lib /usr/local/lib libs=-lgdbm -lm -lcrypt -lutil -lc perllibs=-lm -lcrypt -lutil -lc libc=, so=so, useshrplib=false, libperl=libperl.a gnulibc_version='' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' ' cccdlflags='-DPIC -fPIC', lddlflags='-shared -L/usr/local/lib -fstack-protector' Characteristics of this binary (from libperl): Compile-time options: HAS_TIMES PERLIO_LAYERS PERL_DONT_CREATE_GVSV PERL_HASH_FUNC_ONE_AT_A_TIME_HARD PERL_MALLOC_WRAP PERL_PRESERVE_IVUV PERL_SAWAMPERSAND USE_LARGE_FILES USE_LOCALE USE_LOCALE_COLLATE USE_LOCALE_CTYPE USE_LOCALE_NUMERIC USE_PERLIO USE_PERL_ATOF Built under freebsd Compiled at Sep 11 2015 16:17:22 @INC: /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/site_perl/5.18.2 /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/5.18.2 /home/ben/software/install/lib/perl5/site_perl . $ tar xfz Strict-Perl-2015.08.tar.gz $ cd Strict-Perl-2015.08 /home/ben/ina/Strict-Perl-2015.08 $ ls Changes META.yml README Test/ t/ MANIFEST Makefile.PL* Strict/ pMakefile.PL* $ perl Makefile.PL Checking if your kit is complete... Looks good Warning: NAME must be a package name Generating a Unix-style Makefile Writing Makefile for Strict-Perl Writing MYMETA.yml and MYMETA.json $ make "/usr/home/ben/software/install/bin/perl5.18.2" "-Iblib/arch" "-Iblib/lib" pMakefile.PL pMakefile [ben@mikan] {10:08 34} Strict-Perl-2015.08 527 $ make test PERL_DL_NONLAZY=1 "/usr/home/ben/software/install/bin/perl5.18.2" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/001_test.t .. ok All tests successful. Files=1, Tests=30, 1 wallclock secs ( 0.02 usr 0.01 sys + 0.62 cusr 0.16 csys = 0.80 CPU) Result: PASS [ben@mikan] {10:08 39} Strict-Perl-2015.08 528 $ make install "/usr/home/ben/software/install/bin/perl5.18.2" "-Iblib/arch" "-Iblib/lib" pMakefile.PL pMakefile Appending installation info to /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd/perllocal.pod $ cat > test.pl use Strict::Perl; $ perl test.pl Strict::Perl: Strict::Perl 2015.08 version required like 'use Strict::Perl 2015.08;', stopped at test.pl line 1. [3] (eval) in test.pl 0001* use Strict::Perl; [2] main::BEGIN in test.pl 0001* use Strict::Perl; [1] Strict::Perl::import in test.pl 0001* use Strict::Perl; $ cd $ perl ina/Strict-Perl-2015.08/test.pl Can't locate Strict/Perl.pm in @INC (you may need to install the Strict::Perl module) (@INC contains: /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/site_perl/5.18.2 /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/5.18.2 /home/ben/software/install/lib/perl5/site_perl .) at ina/Strict-Perl-2015.08/test.pl line 1. BEGIN failed--compilation aborted at ina/Strict-Perl-2015.08/test.pl line 1. ------------------------------ The module runs from its own directory, but it does not run from the /home/ben directory. Show quoted text
> 3) Which version of perl of "cpanm Strict::Perl" (same as 2)?)
-------------------------------------------- $ which cpanm /home/ben/software/install/bin/cpanm $ cpanm --version cpanm (App::cpanminus) version 1.7042 (/home/ben/software/install/bin/cpanm) perl version 5.018002 (/usr/home/ben/software/install/bin/perl5.18.2) %Config: archname=i386-freebsd installsitelib=/home/ben/software/install/lib/perl5/site_perl/5.18.2 installsitebin=/home/ben/software/install/bin installman1dir=/home/ben/software/install/share/man/man1 installman3dir=/home/ben/software/install/share/man/man3 sitearchexp=/home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd sitelibexp=/home/ben/software/install/lib/perl5/site_perl/5.18.2 archlibexp=/home/ben/software/install/lib/perl5/5.18.2/i386-freebsd privlibexp=/home/ben/software/install/lib/perl5/5.18.2 %ENV: @INC: FatPacked::679949136=HASH(0x28873350) /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/site_perl/5.18.2 /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/5.18.2 /home/ben/software/install/lib/perl5/site_perl . ---------------------------------------- Show quoted text
> Thank you!
No problem, let me know if you have any more questions. Sorry about the long message but hopefully this is better than leaving out something important.
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Thu, 26 Jan 2017 23:59:33 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: ina cpan <ina.cpan [...] gmail.com>
Show quoted text
>> 1) Where is your Strict/Perl.pm ?
> > $ tar xfz Strict-Perl-2015.08.tar.gz > $ cd Strict-Perl-2015.08 > /home/ben/ina/Strict-Perl-2015.08 > $ ls > Changes META.yml README Test/ t/ > MANIFEST Makefile.PL* Strict/ pMakefile.PL*
I understood that Strict/Perl.pm is in "/home/ben/ina/Strict-Perl-2015.08" Show quoted text
> The module runs from its own directory, but it does not run from the > /home/ben directory. > > @INC contains: > ------------------------------------------------------------------- > /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/site_perl/5.18.2 > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/5.18.2 > /home/ben/software/install/lib/perl5/site_perl > . (dot) > -------------------------------------------------------------------
.(dot) in @INC means "/home/ben/ina/Strict-Perl-2015.08" when current directory is "/home/ben/ina/Strict-Perl-2015.08", thus "/home/ben/ina/Strict-Perl-2015.08/Strict/Perl.pm" is runnable. Show quoted text
> $ cd > $ perl ina/Strict-Perl-2015.08/test.pl
Now, .(dot) means "/home/ben/" when current directory is your home directory "/home/ben/", and @INC means Show quoted text
> ------------------------------------------------------------------- > /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/site_perl/5.18.2 > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/5.18.2 > /home/ben/software/install/lib/perl5/site_perl > /home/ben/ > -------------------------------------------------------------------
thus "/home/ben/ina/Strict-Perl-2015.08/Strict/Perl.pm" may be not runnable. $ cat > test.pl use FindBin; use lib $FindBin::Bin; use Strict::Perl; __END__ See also: http://search.cpan.org/~abigail/perl/lib/FindBin.pm Thanks, 2017-01-26 10:21 GMT+09:00 Ben Bullock via RT <bug-Strict-Perl@rt.cpan.org>: Show quoted text
> Queue: Strict-Perl > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > On 26 January 2017 at 00:33, ina cpan via RT > <bug-Strict-Perl@rt.cpan.org> wrote:
> > <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > > > Thanks, your report. > > > > I have some questions. > > > > 1) Where is your Strict/Perl.pm ?
> > It is not anywhere, the module is not installed: > > [ben@mikan] {10:14 12} Strict-Perl-2015.08 538 $ cd software/install > /home/ben/software/install > [ben@mikan] {10:14 20} install 539 $ find . -name "Perl.pm" > ./lib/perl5/site_perl/5.18.2/i386-freebsd/AnyEvent/IO/Perl.pm > ./lib/perl5/site_perl/5.18.2/i386-freebsd/AnyEvent/Impl/Perl.pm > ./lib/perl5/site_perl/5.18.2/Perl/Critic/Utils/Perl.pm > ./lib/perl5/site_perl/5.18.2/File/Find/Rule/Perl.pm > ./lib/perl5/site_perl/5.18.2/Shell/Perl.pm > ./lib/perl5/site_perl/5.18.2/TAP/Parser/SourceHandler/Perl.pm > ./lib/perl5/site_perl/5.18.2/Authen/SASL/Perl.pm > ./lib/perl5/site_perl/5.18.2/MooseX/Types/Perl.pm > ./lib/perl5/site_perl/5.18.2/Config/Any/Perl.pm > ./lib/perl5/site_perl/5.18.2/Log/Report/Dispatcher/Perl.pm > ./lib/perl5/site_perl/5.18.2/Dist/Zilla/MVP/Reader/Perl.pm > ./lib/perl5/site_perl/5.18.2/ShipIt/ProjectType/Perl.pm > ./lib/perl5/site_perl/5.18.2/Modern/Perl.pm > ./lib/perl5/site_perl/5.18.2/Test2/Require/Perl.pm > ./lib/perl5/site_perl/5.18.2/Probe/Perl.pm > ./lib/perl5/site_perl/5.18.2/Specio/Library/Perl.pm > ./lib/perl5/5.18.2/TAP/Parser/SourceHandler/Perl.pm > >
> > ------------------------------------------------------------------- > > @INC contains: > > /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > > /home/ben/software/install/lib/perl5/site_perl/5.18.2 > > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > > /home/ben/software/install/lib/perl5/5.18.2 > > /home/ben/software/install/lib/perl5/site_perl > > .(dot) > > ------------------------------------------------------------------- > > > > 2) Which version of perl of "perl test.pl" (maybe 5.18.2 :) and...
> > Here is a complete output of installing the module from the source > code and demonstration that it doesn't work when installed like this. > What I typed is after the $ sign. > > ----------------------------------------- > > $ mkdir ina > $ cd ina > /home/ben/ina > $ wget https://cpan.metacpan.org/authors/id/I/IN/INA/Strict/ > Perl/Strict-Perl-2015.08.tar.gz > --2017-01-26 10:07:58-- > https://cpan.metacpan.org/authors/id/I/IN/INA/Strict/ > Perl/Strict-Perl-2015.08.tar.gz > Resolving cpan.metacpan.org (cpan.metacpan.org)... 151.101.72.249 > Connecting to cpan.metacpan.org > (cpan.metacpan.org)|151.101.72.249|:443... connected. > HTTP request sent, awaiting response... 200 OK > Length: 10882 (11K) [application/x-gzip] > Saving to: ‘Strict-Perl-2015.08.tar.gz’ > > Strict-Perl-2015.08 100%[===================>] 10.63K --.-KB/s in 0s > > 2017-01-26 10:07:58 (82.2 MB/s) - ‘Strict-Perl-2015.08.tar.gz’ saved > [10882/10882] > > $ perl -V > Summary of my perl5 (revision 5 version 18 subversion 2) configuration: > > Platform: > osname=freebsd, osvers=10.1-release-p5, archname=i386-freebsd > uname='freebsd mikan 10.1-release-p5 freebsd 10.1-release-p5 #0: > tue jan 27 08:52:50 utc 2015 > root@amd64-builder.daemonology.net:usrobjusrsrcsysgeneric i386 ' > config_args='-Dprefix=/home/ben/software/install -d' > hint=recommended, useposix=true, d_sigaction=define > useithreads=undef, usemultiplicity=undef > useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef > use64bitint=undef, use64bitall=undef, uselongdouble=undef > usemymalloc=n, bincompat5005=undef > Compiler: > cc='cc', ccflags ='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H > -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include', > optimize='-O', > cppflags='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H > -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include' > ccversion='', gccversion='4.2.1 Compatible FreeBSD Clang 3.4.1 > (tags/RELEASE_34/dot1-final 208032)', gccosandvers='' > intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234 > d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12 > ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', > lseeksize=8 > alignbytes=4, prototype=define > Linker and Libraries: > ld='cc', ldflags ='-Wl,-E -fstack-protector -L/usr/local/lib' > libpth=/usr/lib /usr/local/lib > libs=-lgdbm -lm -lcrypt -lutil -lc > perllibs=-lm -lcrypt -lutil -lc > libc=, so=so, useshrplib=false, libperl=libperl.a > gnulibc_version='' > Dynamic Linking: > dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' ' > cccdlflags='-DPIC -fPIC', lddlflags='-shared -L/usr/local/lib > -fstack-protector' > > > Characteristics of this binary (from libperl): > Compile-time options: HAS_TIMES PERLIO_LAYERS PERL_DONT_CREATE_GVSV > PERL_HASH_FUNC_ONE_AT_A_TIME_HARD PERL_MALLOC_WRAP > PERL_PRESERVE_IVUV PERL_SAWAMPERSAND > USE_LARGE_FILES > USE_LOCALE USE_LOCALE_COLLATE USE_LOCALE_CTYPE > USE_LOCALE_NUMERIC USE_PERLIO USE_PERL_ATOF > Built under freebsd > Compiled at Sep 11 2015 16:17:22 > @INC: > /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/site_perl/5.18.2 > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/5.18.2 > /home/ben/software/install/lib/perl5/site_perl > . > $ tar xfz Strict-Perl-2015.08.tar.gz > $ cd Strict-Perl-2015.08 > /home/ben/ina/Strict-Perl-2015.08 > $ ls > Changes META.yml README Test/ t/ > MANIFEST Makefile.PL* Strict/ pMakefile.PL* > $ perl Makefile.PL > Checking if your kit is complete... > Looks good > Warning: NAME must be a package name > Generating a Unix-style Makefile > Writing Makefile for Strict-Perl > Writing MYMETA.yml and MYMETA.json > $ make > "/usr/home/ben/software/install/bin/perl5.18.2" "-Iblib/arch" > "-Iblib/lib" pMakefile.PL pMakefile > [ben@mikan] {10:08 34} Strict-Perl-2015.08 527 $ make test > PERL_DL_NONLAZY=1 "/usr/home/ben/software/install/bin/perl5.18.2" > "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef > *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" > t/*.t > t/001_test.t .. ok > All tests successful. > Files=1, Tests=30, 1 wallclock secs ( 0.02 usr 0.01 sys + 0.62 cusr > 0.16 csys = 0.80 CPU) > Result: PASS > [ben@mikan] {10:08 39} Strict-Perl-2015.08 528 $ make install > "/usr/home/ben/software/install/bin/perl5.18.2" "-Iblib/arch" > "-Iblib/lib" pMakefile.PL pMakefile > Appending installation info to > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd/perllocal.pod > $ cat > test.pl > use Strict::Perl; > $ perl test.pl > Strict::Perl: > Strict::Perl 2015.08 version required like 'use Strict::Perl > 2015.08;', stopped at test.pl line 1. > > [3] (eval) in test.pl > 0001* use Strict::Perl; > > [2] main::BEGIN in test.pl > 0001* use Strict::Perl; > > [1] Strict::Perl::import in test.pl > 0001* use Strict::Perl; > > $ cd > $ perl ina/Strict-Perl-2015.08/test.pl > Can't locate Strict/Perl.pm in @INC (you may need to install the > Strict::Perl module) (@INC contains: > /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/site_perl/5.18.2 > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/5.18.2 > /home/ben/software/install/lib/perl5/site_perl .) at > ina/Strict-Perl-2015.08/test.pl line 1. > BEGIN failed--compilation aborted at ina/Strict-Perl-2015.08/test.pl line > 1. > > ------------------------------ > > The module runs from its own directory, but it does not run from the > /home/ben directory. > >
> > 3) Which version of perl of "cpanm Strict::Perl" (same as 2)?)
> > -------------------------------------------- > > $ which cpanm > /home/ben/software/install/bin/cpanm > $ cpanm --version > cpanm (App::cpanminus) version 1.7042 (/home/ben/software/install/ > bin/cpanm) > perl version 5.018002 (/usr/home/ben/software/install/bin/perl5.18.2) > > %Config: > archname=i386-freebsd > installsitelib=/home/ben/software/install/lib/perl5/site_perl/5.18.2 > installsitebin=/home/ben/software/install/bin > installman1dir=/home/ben/software/install/share/man/man1 > installman3dir=/home/ben/software/install/share/man/man3 > sitearchexp=/home/ben/software/install/lib/perl5/ > site_perl/5.18.2/i386-freebsd > sitelibexp=/home/ben/software/install/lib/perl5/site_perl/5.18.2 > archlibexp=/home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > privlibexp=/home/ben/software/install/lib/perl5/5.18.2 > %ENV: > @INC: > FatPacked::679949136=HASH(0x28873350) > /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/site_perl/5.18.2 > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/5.18.2 > /home/ben/software/install/lib/perl5/site_perl > . > ---------------------------------------- > >
> > Thank you!
> > No problem, let me know if you have any more questions. Sorry about > the long message but hopefully this is better than leaving out > something important. >
Download (untitled) / with headers
text/html 14.8k

Message body is not shown because it is too large.

Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Fri, 27 Jan 2017 06:53:43 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: Ben Bullock <benkasminbullock [...] gmail.com>
Download (untitled) / with headers
text/plain 260b
OK, but the point of my message is that the module is not installed. Please look where it says "make install". Even after "make install" or "cpanm Strict::Perl", the module is still not installed into the installation directory. That is the bug I'm reporting.
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Sat, 28 Jan 2017 00:43:37 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: ina cpan <ina.cpan [...] gmail.com>
Download (untitled) / with headers
text/plain 966b
It seems to me that the installation is succeeding. Because Strict::Perl says the following message after "make install". ------------------------------------------------------------- Strict::Perl: Strict::Perl 2015.08 version required like 'use Strict::Perl 2015.08;', stopped at test.pl line 1. [3] (eval) in test.pl 0001* use Strict::Perl; [2] main::BEGIN in test.pl 0001* use Strict::Perl; [1] Strict::Perl::import in test.pl 0001* use Strict::Perl; ------------------------------------------------------------- 2017-01-27 6:53 GMT+09:00 Ben Bullock via RT <bug-Strict-Perl@rt.cpan.org>: Show quoted text
> Queue: Strict-Perl > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > OK, but the point of my message is that the module is not installed. > Please look where it says "make install". Even after "make install" or > "cpanm Strict::Perl", the module is still not installed into the > installation directory. That is the bug I'm reporting. >
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Sat, 28 Jan 2017 08:29:18 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: Ben Bullock <benkasminbullock [...] gmail.com>
Download (untitled) / with headers
text/plain 1.7k
Hi again, No it is not installed. If I run "test.pl" from the module's directory it runs OK: ---------------- [ben@mikan] {08:21 12} Strict-Perl-2015.08 505 $ perl test.pl Strict::Perl: Strict::Perl 2015.08 version required like 'use Strict::Perl 2015.08;', stopped at test.pl line 1. [3] (eval) in test.pl 0001* use Strict::Perl; [2] main::BEGIN in test.pl 0001* use Strict::Perl; [1] Strict::Perl::import in test.pl 0001* use Strict::Perl; --------- Now I change directory out of that and run it and it doesn't work: -------------- [ben@mikan] {08:21 16} Strict-Perl-2015.08 506 $ cd ../.. [ben@mikan] {08:21 19} ~ 507 $ perl ina/Strict-Perl-2015.08/test.pl Can't locate Strict/Perl.pm in @INC (you may need to install the Strict::Perl module) (@INC contains: /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/site_perl/5.18.2 /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/5.18.2 /home/ben/software/install/lib/perl5/site_perl .) at ina/Strict-Perl-2015.08/test.pl line 1. BEGIN failed--compilation aborted at ina/Strict-Perl-2015.08/test.pl line 1. [ben@mikan] {08:21 28} ~ 508 $ ------------------- That means it is not installed. Further, the file is not installed as you can see here: -------- [ben@mikan] {08:23 41} ~ 502 $ locate Perl.pm | grep Strict /usr/home/ben/.cpanm/work/1485301590.75554/Strict-Perl-2015.08/Strict/Perl.pm /usr/home/ben/.cpanm/work/1485301654.75687/Strict-Perl-2015.08/Strict/Perl.pm /usr/home/ben/.cpanm/work/1485302919.75909/Strict-Perl-2015.08/Strict/Perl.pm /usr/home/ben/ina/Strict-Perl-2015.08/Strict/Perl.pm [ben@mikan] {08:23 48} ~ 503 $ ---------- I'm fairly sure it's not being installed.
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Sun, 29 Jan 2017 14:41:31 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: ina cpan <ina.cpan [...] gmail.com>
Download (untitled) / with headers
text/plain 2.2k
Welcome again, If it is possible, would you show me installation info file: /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd/perllocal.pod and "Makefile" that created by Makefile.PL ? In which directory would you want/expect to install Strict/Perl.pm ? 2017-01-28 8:29 GMT+09:00 Ben Bullock via RT <bug-Strict-Perl@rt.cpan.org>: Show quoted text
> Queue: Strict-Perl > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > Hi again, > > No it is not installed. If I run "test.pl" from the module's directory > it runs OK: > > ---------------- > > [ben@mikan] {08:21 12} Strict-Perl-2015.08 505 $ perl test.pl > Strict::Perl: > Strict::Perl 2015.08 version required like 'use Strict::Perl > 2015.08;', stopped at test.pl line 1. > > [3] (eval) in test.pl > 0001* use Strict::Perl; > > [2] main::BEGIN in test.pl > 0001* use Strict::Perl; > > [1] Strict::Perl::import in test.pl > 0001* use Strict::Perl; > > --------- > > Now I change directory out of that and run it and it doesn't work: > > -------------- > > > [ben@mikan] {08:21 16} Strict-Perl-2015.08 506 $ cd ../.. > [ben@mikan] {08:21 19} ~ 507 $ perl ina/Strict-Perl-2015.08/test.pl > Can't locate Strict/Perl.pm in @INC (you may need to install the > Strict::Perl module) (@INC contains: > /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/site_perl/5.18.2 > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/5.18.2 > /home/ben/software/install/lib/perl5/site_perl .) at > ina/Strict-Perl-2015.08/test.pl line 1. > BEGIN failed--compilation aborted at ina/Strict-Perl-2015.08/test.pl line > 1. > [ben@mikan] {08:21 28} ~ 508 $ > > ------------------- > > That means it is not installed. Further, the file is not installed as > you can see here: > > -------- > > [ben@mikan] {08:23 41} ~ 502 $ locate Perl.pm | grep Strict > /usr/home/ben/.cpanm/work/1485301590.75554/Strict-Perl- > 2015.08/Strict/Perl.pm > /usr/home/ben/.cpanm/work/1485301654.75687/Strict-Perl- > 2015.08/Strict/Perl.pm > /usr/home/ben/.cpanm/work/1485302919.75909/Strict-Perl- > 2015.08/Strict/Perl.pm > /usr/home/ben/ina/Strict-Perl-2015.08/Strict/Perl.pm > [ben@mikan] {08:23 48} ~ 503 $ > > ---------- > > I'm fairly sure it's not being installed. >
CC: BKB <bkb [...] cpan.org>
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Sun, 29 Jan 2017 15:53:33 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: Ben Bullock <benkasminbullock [...] gmail.com>
Download (untitled) / with headers
text/plain 2.8k
Hello again, I have attached the Makefile (renamed as Makefile.txt so that Windows can understand what it is) and the relevant parts of perllocal.txt. I hope this is useful to you. I was expecting it to be installed somewhere under /home/ben/software/install. I never use the system perl directories to install things, only user directory. On 29 January 2017 at 14:42, ina cpan via RT <bug-Strict-Perl@rt.cpan.org> wrote: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > Welcome again, > > If it is possible, would you show me installation info file: > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd/perllocal.pod > > and "Makefile" that created by Makefile.PL ? > > In which directory would you want/expect to install Strict/Perl.pm ? > > 2017-01-28 8:29 GMT+09:00 Ben Bullock via RT <bug-Strict-Perl@rt.cpan.org>: >
>> Queue: Strict-Perl >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > >> >> Hi again, >> >> No it is not installed. If I run "test.pl" from the module's directory >> it runs OK: >> >> ---------------- >> >> [ben@mikan] {08:21 12} Strict-Perl-2015.08 505 $ perl test.pl >> Strict::Perl: >> Strict::Perl 2015.08 version required like 'use Strict::Perl >> 2015.08;', stopped at test.pl line 1. >> >> [3] (eval) in test.pl >> 0001* use Strict::Perl; >> >> [2] main::BEGIN in test.pl >> 0001* use Strict::Perl; >> >> [1] Strict::Perl::import in test.pl >> 0001* use Strict::Perl; >> >> --------- >> >> Now I change directory out of that and run it and it doesn't work: >> >> -------------- >> >> >> [ben@mikan] {08:21 16} Strict-Perl-2015.08 506 $ cd ../.. >> [ben@mikan] {08:21 19} ~ 507 $ perl ina/Strict-Perl-2015.08/test.pl >> Can't locate Strict/Perl.pm in @INC (you may need to install the >> Strict::Perl module) (@INC contains: >> /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd >> /home/ben/software/install/lib/perl5/site_perl/5.18.2 >> /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd >> /home/ben/software/install/lib/perl5/5.18.2 >> /home/ben/software/install/lib/perl5/site_perl .) at >> ina/Strict-Perl-2015.08/test.pl line 1. >> BEGIN failed--compilation aborted at ina/Strict-Perl-2015.08/test.pl line >> 1. >> [ben@mikan] {08:21 28} ~ 508 $ >> >> ------------------- >> >> That means it is not installed. Further, the file is not installed as >> you can see here: >> >> -------- >> >> [ben@mikan] {08:23 41} ~ 502 $ locate Perl.pm | grep Strict >> /usr/home/ben/.cpanm/work/1485301590.75554/Strict-Perl- >> 2015.08/Strict/Perl.pm >> /usr/home/ben/.cpanm/work/1485301654.75687/Strict-Perl- >> 2015.08/Strict/Perl.pm >> /usr/home/ben/.cpanm/work/1485302919.75909/Strict-Perl- >> 2015.08/Strict/Perl.pm >> /usr/home/ben/ina/Strict-Perl-2015.08/Strict/Perl.pm >> [ben@mikan] {08:23 48} ~ 503 $ >> >> ---------- >> >> I'm fairly sure it's not being installed. >>
Download Makefile.txt
text/plain 27.5k

Message body is not shown because sender requested not to inline it.

Download perllocal.txt
text/plain 1k

Message body is not shown because sender requested not to inline it.

Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Mon, 13 Feb 2017 23:12:14 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: ina cpan <ina.cpan [...] gmail.com>
Download (untitled) / with headers
text/plain 4.5k
Again, and thanks your Makefile. Your Makefile has ----------------------------------------------------------- PREFIX = $(SITEPREFIX) PERLPREFIX = /home/ben/software/install SITEPREFIX = /home/ben/software/install ----------------------------------------------------------- at line 77 to 79. PREFIX is $(SITEPREFIX), but SITEPREFIX is not defined yet. (I don't know why is such it.) To solve this problem, I can add to Makefile.PL like this; ----------------------------------------------------------- use strict; use ExtUtils::MakeMaker; # See lib/ExtUtils/MakeMaker.pm for details of how to influence # the contents of the Makefile that is written. WriteMakefile( 'NAME' => 'Strict-Perl', 'VERSION_FROM' => 'Strict/Perl.pm', # finds $VERSION 'PREFIX' => ((grep(-w, grep(/site_perl/,reverse @INC), grep(/site/,reverse @INC)))[0] || '.'), ($] >= 5.005 ? # Add these new keywords supported since 5.005 ('PREREQ_PM' => {}, # e.g., Module::Name => 1.1 'ABSTRACT_FROM' => 'Strict/Perl.pm', # retrieve abstract from module 'AUTHOR' => 'ina <ina@cpan.org>', ) : () ), ); __END__ ----------------------------------------------------------- However, so my Makefile.PL is very stable, if it is possible, I want to keep it. As other way, $ perl Makefile.PL PREFIX=/home/ben/software/install $ make $ make install Is this ok? 2017-01-29 15:53 GMT+09:00 Ben Bullock via RT <bug-Strict-Perl@rt.cpan.org>: Show quoted text
> Queue: Strict-Perl > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > Hello again, > > I have attached the Makefile (renamed as Makefile.txt so that Windows > can understand what it is) and the relevant parts of perllocal.txt. > > I hope this is useful to you. > > I was expecting it to be installed somewhere under > /home/ben/software/install. I never use the system perl directories to > install things, only user directory. > > > > > On 29 January 2017 at 14:42, ina cpan via RT > <bug-Strict-Perl@rt.cpan.org> wrote:
> > <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > > > Welcome again, > > > > If it is possible, would you show me installation info file: > > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd/perllocal.pod > > > > and "Makefile" that created by Makefile.PL ? > > > > In which directory would you want/expect to install Strict/Perl.pm ? > > > > 2017-01-28 8:29 GMT+09:00 Ben Bullock via RT <
> bug-Strict-Perl@rt.cpan.org>:
> >
> >> Queue: Strict-Perl > >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > >> > >> Hi again, > >> > >> No it is not installed. If I run "test.pl" from the module's directory > >> it runs OK: > >> > >> ---------------- > >> > >> [ben@mikan] {08:21 12} Strict-Perl-2015.08 505 $ perl test.pl > >> Strict::Perl: > >> Strict::Perl 2015.08 version required like 'use Strict::Perl > >> 2015.08;', stopped at test.pl line 1. > >> > >> [3] (eval) in test.pl > >> 0001* use Strict::Perl; > >> > >> [2] main::BEGIN in test.pl > >> 0001* use Strict::Perl; > >> > >> [1] Strict::Perl::import in test.pl > >> 0001* use Strict::Perl; > >> > >> --------- > >> > >> Now I change directory out of that and run it and it doesn't work: > >> > >> -------------- > >> > >> > >> [ben@mikan] {08:21 16} Strict-Perl-2015.08 506 $ cd ../.. > >> [ben@mikan] {08:21 19} ~ 507 $ perl ina/Strict-Perl-2015.08/test.pl > >> Can't locate Strict/Perl.pm in @INC (you may need to install the > >> Strict::Perl module) (@INC contains: > >> /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > >> /home/ben/software/install/lib/perl5/site_perl/5.18.2 > >> /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > >> /home/ben/software/install/lib/perl5/5.18.2 > >> /home/ben/software/install/lib/perl5/site_perl .) at > >> ina/Strict-Perl-2015.08/test.pl line 1. > >> BEGIN failed--compilation aborted at ina/Strict-Perl-2015.08/test.pl
> line
> >> 1. > >> [ben@mikan] {08:21 28} ~ 508 $ > >> > >> ------------------- > >> > >> That means it is not installed. Further, the file is not installed as > >> you can see here: > >> > >> -------- > >> > >> [ben@mikan] {08:23 41} ~ 502 $ locate Perl.pm | grep Strict > >> /usr/home/ben/.cpanm/work/1485301590.75554/Strict-Perl- > >> 2015.08/Strict/Perl.pm > >> /usr/home/ben/.cpanm/work/1485301654.75687/Strict-Perl- > >> 2015.08/Strict/Perl.pm > >> /usr/home/ben/.cpanm/work/1485302919.75909/Strict-Perl- > >> 2015.08/Strict/Perl.pm > >> /usr/home/ben/ina/Strict-Perl-2015.08/Strict/Perl.pm > >> [ben@mikan] {08:23 48} ~ 503 $ > >> > >> ---------- > >> > >> I'm fairly sure it's not being installed. > >>
> >
CC: BKB <bkb [...] cpan.org>
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Tue, 14 Feb 2017 09:15:39 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: Ben Bullock <benkasminbullock [...] gmail.com>
Download (untitled) / with headers
text/plain 6.2k
I tried installing it as your suggestion. The Makefile produced looks like this: PREFIX = /home/ben/software/install PERLPREFIX = $(PREFIX) SITEPREFIX = $(PREFIX) VENDORPREFIX = $(PREFIX) However, it still was not installed: $ perl StrictPerlTest.pl Can't locate Strict/Perl.pm in @INC (you may need to install the Strict::Perl module) (@INC contains: /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/site_perl/5.18.2 /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd /home/ben/software/install/lib/perl5/5.18.2 /home/ben/software/install/lib/perl5/site_perl .) at StrictPerlTest.pl line 6. BEGIN failed--compilation aborted at StrictPerlTest.pl line 6. The above file is just the following: $ more StrictPerlTest.pl #!/home/ben/software/install/bin/perl use warnings; use strict; use utf8; use FindBin '$Bin'; use Strict::Perl 2015.08; I have not altered the Perl except for altering the prefix it's installed in to /home/ben/software/install/, so the Makefile produced should not be completely non-standard. The following web page explains exactly how I installed Perl: https://www.lemoda.net/perl/unix-install/index.html I have the latest version of ExtUtils::MakeMaker. $ cpanm ExtUtils::MakeMaker ExtUtils::MakeMaker is up to date. (7.24) On 13 February 2017 at 23:12, ina cpan via RT <bug-Strict-Perl@rt.cpan.org> wrote: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > Again, and thanks your Makefile. > > Your Makefile has > ----------------------------------------------------------- > PREFIX = $(SITEPREFIX) > PERLPREFIX = /home/ben/software/install > SITEPREFIX = /home/ben/software/install > ----------------------------------------------------------- > at line 77 to 79. > > PREFIX is $(SITEPREFIX), but SITEPREFIX is not defined yet. > > (I don't know why is such it.) > > To solve this problem, I can add to Makefile.PL like this; > ----------------------------------------------------------- > use strict; > use ExtUtils::MakeMaker; > # See lib/ExtUtils/MakeMaker.pm for details of how to influence > # the contents of the Makefile that is written. > WriteMakefile( > 'NAME' => 'Strict-Perl', > 'VERSION_FROM' => 'Strict/Perl.pm', # finds $VERSION > 'PREFIX' => ((grep(-w, grep(/site_perl/,reverse @INC), > grep(/site/,reverse @INC)))[0] || '.'), > ($] >= 5.005 ? # Add these new keywords > supported since 5.005 > ('PREREQ_PM' => {}, # e.g., Module::Name => 1.1 > 'ABSTRACT_FROM' => 'Strict/Perl.pm', # retrieve abstract from module > 'AUTHOR' => 'ina <ina@cpan.org>', > ) > : > () > ), > ); > __END__ > ----------------------------------------------------------- > However, so my Makefile.PL is very stable, if it is possible, > I want to keep it. > > As other way, > > $ perl Makefile.PL PREFIX=/home/ben/software/install > $ make > $ make install > > Is this ok? > > 2017-01-29 15:53 GMT+09:00 Ben Bullock via RT <bug-Strict-Perl@rt.cpan.org>: >
>> Queue: Strict-Perl >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > >> >> Hello again, >> >> I have attached the Makefile (renamed as Makefile.txt so that Windows >> can understand what it is) and the relevant parts of perllocal.txt. >> >> I hope this is useful to you. >> >> I was expecting it to be installed somewhere under >> /home/ben/software/install. I never use the system perl directories to >> install things, only user directory. >> >> >> >> >> On 29 January 2017 at 14:42, ina cpan via RT >> <bug-Strict-Perl@rt.cpan.org> wrote:
>> > <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > >> > >> > Welcome again, >> > >> > If it is possible, would you show me installation info file: >> > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd/perllocal.pod >> > >> > and "Makefile" that created by Makefile.PL ? >> > >> > In which directory would you want/expect to install Strict/Perl.pm ? >> > >> > 2017-01-28 8:29 GMT+09:00 Ben Bullock via RT <
>> bug-Strict-Perl@rt.cpan.org>:
>> >
>> >> Queue: Strict-Perl >> >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > >> >> >> >> Hi again, >> >> >> >> No it is not installed. If I run "test.pl" from the module's directory >> >> it runs OK: >> >> >> >> ---------------- >> >> >> >> [ben@mikan] {08:21 12} Strict-Perl-2015.08 505 $ perl test.pl >> >> Strict::Perl: >> >> Strict::Perl 2015.08 version required like 'use Strict::Perl >> >> 2015.08;', stopped at test.pl line 1. >> >> >> >> [3] (eval) in test.pl >> >> 0001* use Strict::Perl; >> >> >> >> [2] main::BEGIN in test.pl >> >> 0001* use Strict::Perl; >> >> >> >> [1] Strict::Perl::import in test.pl >> >> 0001* use Strict::Perl; >> >> >> >> --------- >> >> >> >> Now I change directory out of that and run it and it doesn't work: >> >> >> >> -------------- >> >> >> >> >> >> [ben@mikan] {08:21 16} Strict-Perl-2015.08 506 $ cd ../.. >> >> [ben@mikan] {08:21 19} ~ 507 $ perl ina/Strict-Perl-2015.08/test.pl >> >> Can't locate Strict/Perl.pm in @INC (you may need to install the >> >> Strict::Perl module) (@INC contains: >> >> /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd >> >> /home/ben/software/install/lib/perl5/site_perl/5.18.2 >> >> /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd >> >> /home/ben/software/install/lib/perl5/5.18.2 >> >> /home/ben/software/install/lib/perl5/site_perl .) at >> >> ina/Strict-Perl-2015.08/test.pl line 1. >> >> BEGIN failed--compilation aborted at ina/Strict-Perl-2015.08/test.pl
>> line
>> >> 1. >> >> [ben@mikan] {08:21 28} ~ 508 $ >> >> >> >> ------------------- >> >> >> >> That means it is not installed. Further, the file is not installed as >> >> you can see here: >> >> >> >> -------- >> >> >> >> [ben@mikan] {08:23 41} ~ 502 $ locate Perl.pm | grep Strict >> >> /usr/home/ben/.cpanm/work/1485301590.75554/Strict-Perl- >> >> 2015.08/Strict/Perl.pm >> >> /usr/home/ben/.cpanm/work/1485301654.75687/Strict-Perl- >> >> 2015.08/Strict/Perl.pm >> >> /usr/home/ben/.cpanm/work/1485302919.75909/Strict-Perl- >> >> 2015.08/Strict/Perl.pm >> >> /usr/home/ben/ina/Strict-Perl-2015.08/Strict/Perl.pm >> >> [ben@mikan] {08:23 48} ~ 503 $ >> >> >> >> ---------- >> >> >> >> I'm fairly sure it's not being installed. >> >>
>> >>
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Sun, 5 Mar 2017 23:06:24 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: ina cpan <ina.cpan [...] gmail.com>
Download (untitled) / with headers
text/plain 6.8k
I released Strict-Perl-2017.05 with new Makefile.PL. I hope it will be a good result. ina 2017-02-14 9:15 GMT+09:00 Ben Bullock via RT <bug-Strict-Perl@rt.cpan.org>: Show quoted text
> Queue: Strict-Perl > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > I tried installing it as your suggestion. The Makefile produced looks like > this: > > PREFIX = /home/ben/software/install > PERLPREFIX = $(PREFIX) > SITEPREFIX = $(PREFIX) > VENDORPREFIX = $(PREFIX) > > However, it still was not installed: > > $ perl StrictPerlTest.pl > Can't locate Strict/Perl.pm in @INC (you may need to install the > Strict::Perl module) (@INC contains: > /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/site_perl/5.18.2 > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > /home/ben/software/install/lib/perl5/5.18.2 > /home/ben/software/install/lib/perl5/site_perl .) at StrictPerlTest.pl > line 6. > BEGIN failed--compilation aborted at StrictPerlTest.pl line 6. > > The above file is just the following: > > $ more StrictPerlTest.pl > #!/home/ben/software/install/bin/perl > use warnings; > use strict; > use utf8; > use FindBin '$Bin'; > use Strict::Perl 2015.08; > > I have not altered the Perl except for altering the prefix it's > installed in to /home/ben/software/install/, so the Makefile produced > should not be completely non-standard. The following web page explains > exactly how I installed Perl: > > https://www.lemoda.net/perl/unix-install/index.html > > I have the latest version of ExtUtils::MakeMaker. > > $ cpanm ExtUtils::MakeMaker > ExtUtils::MakeMaker is up to date. (7.24) > > > > > On 13 February 2017 at 23:12, ina cpan via RT > <bug-Strict-Perl@rt.cpan.org> wrote:
> > <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > > > Again, and thanks your Makefile. > > > > Your Makefile has > > ----------------------------------------------------------- > > PREFIX = $(SITEPREFIX) > > PERLPREFIX = /home/ben/software/install > > SITEPREFIX = /home/ben/software/install > > ----------------------------------------------------------- > > at line 77 to 79. > > > > PREFIX is $(SITEPREFIX), but SITEPREFIX is not defined yet. > > > > (I don't know why is such it.) > > > > To solve this problem, I can add to Makefile.PL like this; > > ----------------------------------------------------------- > > use strict; > > use ExtUtils::MakeMaker; > > # See lib/ExtUtils/MakeMaker.pm for details of how to influence > > # the contents of the Makefile that is written. > > WriteMakefile( > > 'NAME' => 'Strict-Perl', > > 'VERSION_FROM' => 'Strict/Perl.pm', # finds $VERSION > > 'PREFIX' => ((grep(-w, grep(/site_perl/,reverse @INC), > > grep(/site/,reverse @INC)))[0] || '.'), > > ($] >= 5.005 ? # Add these new keywords > > supported since 5.005 > > ('PREREQ_PM' => {}, # e.g., Module::Name => 1.1 > > 'ABSTRACT_FROM' => 'Strict/Perl.pm', # retrieve abstract from
> module
> > 'AUTHOR' => 'ina <ina@cpan.org>', > > ) > > : > > () > > ), > > ); > > __END__ > > ----------------------------------------------------------- > > However, so my Makefile.PL is very stable, if it is possible, > > I want to keep it. > > > > As other way, > > > > $ perl Makefile.PL PREFIX=/home/ben/software/install > > $ make > > $ make install > > > > Is this ok? > > > > 2017-01-29 15:53 GMT+09:00 Ben Bullock via RT <
> bug-Strict-Perl@rt.cpan.org>:
> >
> >> Queue: Strict-Perl > >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > >> > >> Hello again, > >> > >> I have attached the Makefile (renamed as Makefile.txt so that Windows > >> can understand what it is) and the relevant parts of perllocal.txt. > >> > >> I hope this is useful to you. > >> > >> I was expecting it to be installed somewhere under > >> /home/ben/software/install. I never use the system perl directories to > >> install things, only user directory. > >> > >> > >> > >> > >> On 29 January 2017 at 14:42, ina cpan via RT > >> <bug-Strict-Perl@rt.cpan.org> wrote:
> >> > <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > >> > > >> > Welcome again, > >> > > >> > If it is possible, would you show me installation info file: > >> > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd/
> perllocal.pod
> >> > > >> > and "Makefile" that created by Makefile.PL ? > >> > > >> > In which directory would you want/expect to install Strict/Perl.pm ? > >> > > >> > 2017-01-28 8:29 GMT+09:00 Ben Bullock via RT <
> >> bug-Strict-Perl@rt.cpan.org>:
> >> >
> >> >> Queue: Strict-Perl > >> >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > >> >> > >> >> Hi again, > >> >> > >> >> No it is not installed. If I run "test.pl" from the module's
> directory
> >> >> it runs OK: > >> >> > >> >> ---------------- > >> >> > >> >> [ben@mikan] {08:21 12} Strict-Perl-2015.08 505 $ perl test.pl > >> >> Strict::Perl: > >> >> Strict::Perl 2015.08 version required like 'use Strict::Perl > >> >> 2015.08;', stopped at test.pl line 1. > >> >> > >> >> [3] (eval) in test.pl > >> >> 0001* use Strict::Perl; > >> >> > >> >> [2] main::BEGIN in test.pl > >> >> 0001* use Strict::Perl; > >> >> > >> >> [1] Strict::Perl::import in test.pl > >> >> 0001* use Strict::Perl; > >> >> > >> >> --------- > >> >> > >> >> Now I change directory out of that and run it and it doesn't work: > >> >> > >> >> -------------- > >> >> > >> >> > >> >> [ben@mikan] {08:21 16} Strict-Perl-2015.08 506 $ cd ../.. > >> >> [ben@mikan] {08:21 19} ~ 507 $ perl ina/Strict-Perl-2015.08/test.pl > >> >> Can't locate Strict/Perl.pm in @INC (you may need to install the > >> >> Strict::Perl module) (@INC contains: > >> >> /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd > >> >> /home/ben/software/install/lib/perl5/site_perl/5.18.2 > >> >> /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd > >> >> /home/ben/software/install/lib/perl5/5.18.2 > >> >> /home/ben/software/install/lib/perl5/site_perl .) at > >> >> ina/Strict-Perl-2015.08/test.pl line 1. > >> >> BEGIN failed--compilation aborted at ina/Strict-Perl-2015.08/test.pl
> >> line
> >> >> 1. > >> >> [ben@mikan] {08:21 28} ~ 508 $ > >> >> > >> >> ------------------- > >> >> > >> >> That means it is not installed. Further, the file is not installed as > >> >> you can see here: > >> >> > >> >> -------- > >> >> > >> >> [ben@mikan] {08:23 41} ~ 502 $ locate Perl.pm | grep Strict > >> >> /usr/home/ben/.cpanm/work/1485301590.75554/Strict-Perl- > >> >> 2015.08/Strict/Perl.pm > >> >> /usr/home/ben/.cpanm/work/1485301654.75687/Strict-Perl- > >> >> 2015.08/Strict/Perl.pm > >> >> /usr/home/ben/.cpanm/work/1485302919.75909/Strict-Perl- > >> >> 2015.08/Strict/Perl.pm > >> >> /usr/home/ben/ina/Strict-Perl-2015.08/Strict/Perl.pm > >> >> [ben@mikan] {08:23 48} ~ 503 $ > >> >> > >> >> ---------- > >> >> > >> >> I'm fairly sure it's not being installed. > >> >>
> >> > >>
>
Download (untitled) / with headers
text/html 10.8k
CC: BKB <bkb [...] cpan.org>
Subject: Re: [rt.cpan.org #119964] This module cannot be installed or used
Date: Mon, 6 Mar 2017 09:04:42 +0900
To: bug-Strict-Perl [...] rt.cpan.org
From: Ben Bullock <benkasminbullock [...] gmail.com>
Download (untitled) / with headers
text/plain 7.5k
Thanks for letting me know. I was able to install this version: $ cpanm Strict::Perl --> Working on Strict::Perl Fetching http://www.cpan.org/authors/id/I/IN/INA/Strict/Perl/Strict-Perl-2017.05.tar.gz ... OK Configuring Strict-Perl-2017.05 ... OK Building and testing Strict-Perl-2017.05 ... OK Successfully installed Strict-Perl-2017.05 1 distribution installed Thanks for the work. On 5 March 2017 at 23:06, ina cpan via RT <bug-Strict-Perl@rt.cpan.org> wrote: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > > > I released Strict-Perl-2017.05 with new Makefile.PL. > I hope it will be a good result. > > ina > > 2017-02-14 9:15 GMT+09:00 Ben Bullock via RT <bug-Strict-Perl@rt.cpan.org>: >
>> Queue: Strict-Perl >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > >> >> I tried installing it as your suggestion. The Makefile produced looks like >> this: >> >> PREFIX = /home/ben/software/install >> PERLPREFIX = $(PREFIX) >> SITEPREFIX = $(PREFIX) >> VENDORPREFIX = $(PREFIX) >> >> However, it still was not installed: >> >> $ perl StrictPerlTest.pl >> Can't locate Strict/Perl.pm in @INC (you may need to install the >> Strict::Perl module) (@INC contains: >> /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd >> /home/ben/software/install/lib/perl5/site_perl/5.18.2 >> /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd >> /home/ben/software/install/lib/perl5/5.18.2 >> /home/ben/software/install/lib/perl5/site_perl .) at StrictPerlTest.pl >> line 6. >> BEGIN failed--compilation aborted at StrictPerlTest.pl line 6. >> >> The above file is just the following: >> >> $ more StrictPerlTest.pl >> #!/home/ben/software/install/bin/perl >> use warnings; >> use strict; >> use utf8; >> use FindBin '$Bin'; >> use Strict::Perl 2015.08; >> >> I have not altered the Perl except for altering the prefix it's >> installed in to /home/ben/software/install/, so the Makefile produced >> should not be completely non-standard. The following web page explains >> exactly how I installed Perl: >> >> https://www.lemoda.net/perl/unix-install/index.html >> >> I have the latest version of ExtUtils::MakeMaker. >> >> $ cpanm ExtUtils::MakeMaker >> ExtUtils::MakeMaker is up to date. (7.24) >> >> >> >> >> On 13 February 2017 at 23:12, ina cpan via RT >> <bug-Strict-Perl@rt.cpan.org> wrote:
>> > <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > >> > >> > Again, and thanks your Makefile. >> > >> > Your Makefile has >> > ----------------------------------------------------------- >> > PREFIX = $(SITEPREFIX) >> > PERLPREFIX = /home/ben/software/install >> > SITEPREFIX = /home/ben/software/install >> > ----------------------------------------------------------- >> > at line 77 to 79. >> > >> > PREFIX is $(SITEPREFIX), but SITEPREFIX is not defined yet. >> > >> > (I don't know why is such it.) >> > >> > To solve this problem, I can add to Makefile.PL like this; >> > ----------------------------------------------------------- >> > use strict; >> > use ExtUtils::MakeMaker; >> > # See lib/ExtUtils/MakeMaker.pm for details of how to influence >> > # the contents of the Makefile that is written. >> > WriteMakefile( >> > 'NAME' => 'Strict-Perl', >> > 'VERSION_FROM' => 'Strict/Perl.pm', # finds $VERSION >> > 'PREFIX' => ((grep(-w, grep(/site_perl/,reverse @INC), >> > grep(/site/,reverse @INC)))[0] || '.'), >> > ($] >= 5.005 ? # Add these new keywords >> > supported since 5.005 >> > ('PREREQ_PM' => {}, # e.g., Module::Name => 1.1 >> > 'ABSTRACT_FROM' => 'Strict/Perl.pm', # retrieve abstract from
>> module
>> > 'AUTHOR' => 'ina <ina@cpan.org>', >> > ) >> > : >> > () >> > ), >> > ); >> > __END__ >> > ----------------------------------------------------------- >> > However, so my Makefile.PL is very stable, if it is possible, >> > I want to keep it. >> > >> > As other way, >> > >> > $ perl Makefile.PL PREFIX=/home/ben/software/install >> > $ make >> > $ make install >> > >> > Is this ok? >> > >> > 2017-01-29 15:53 GMT+09:00 Ben Bullock via RT <
>> bug-Strict-Perl@rt.cpan.org>:
>> >
>> >> Queue: Strict-Perl >> >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > >> >> >> >> Hello again, >> >> >> >> I have attached the Makefile (renamed as Makefile.txt so that Windows >> >> can understand what it is) and the relevant parts of perllocal.txt. >> >> >> >> I hope this is useful to you. >> >> >> >> I was expecting it to be installed somewhere under >> >> /home/ben/software/install. I never use the system perl directories to >> >> install things, only user directory. >> >> >> >> >> >> >> >> >> >> On 29 January 2017 at 14:42, ina cpan via RT >> >> <bug-Strict-Perl@rt.cpan.org> wrote:
>> >> > <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > >> >> > >> >> > Welcome again, >> >> > >> >> > If it is possible, would you show me installation info file: >> >> > /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd/
>> perllocal.pod
>> >> > >> >> > and "Makefile" that created by Makefile.PL ? >> >> > >> >> > In which directory would you want/expect to install Strict/Perl.pm ? >> >> > >> >> > 2017-01-28 8:29 GMT+09:00 Ben Bullock via RT <
>> >> bug-Strict-Perl@rt.cpan.org>:
>> >> >
>> >> >> Queue: Strict-Perl >> >> >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=119964 > >> >> >> >> >> >> Hi again, >> >> >> >> >> >> No it is not installed. If I run "test.pl" from the module's
>> directory
>> >> >> it runs OK: >> >> >> >> >> >> ---------------- >> >> >> >> >> >> [ben@mikan] {08:21 12} Strict-Perl-2015.08 505 $ perl test.pl >> >> >> Strict::Perl: >> >> >> Strict::Perl 2015.08 version required like 'use Strict::Perl >> >> >> 2015.08;', stopped at test.pl line 1. >> >> >> >> >> >> [3] (eval) in test.pl >> >> >> 0001* use Strict::Perl; >> >> >> >> >> >> [2] main::BEGIN in test.pl >> >> >> 0001* use Strict::Perl; >> >> >> >> >> >> [1] Strict::Perl::import in test.pl >> >> >> 0001* use Strict::Perl; >> >> >> >> >> >> --------- >> >> >> >> >> >> Now I change directory out of that and run it and it doesn't work: >> >> >> >> >> >> -------------- >> >> >> >> >> >> >> >> >> [ben@mikan] {08:21 16} Strict-Perl-2015.08 506 $ cd ../.. >> >> >> [ben@mikan] {08:21 19} ~ 507 $ perl ina/Strict-Perl-2015.08/test.pl >> >> >> Can't locate Strict/Perl.pm in @INC (you may need to install the >> >> >> Strict::Perl module) (@INC contains: >> >> >> /home/ben/software/install/lib/perl5/site_perl/5.18.2/i386-freebsd >> >> >> /home/ben/software/install/lib/perl5/site_perl/5.18.2 >> >> >> /home/ben/software/install/lib/perl5/5.18.2/i386-freebsd >> >> >> /home/ben/software/install/lib/perl5/5.18.2 >> >> >> /home/ben/software/install/lib/perl5/site_perl .) at >> >> >> ina/Strict-Perl-2015.08/test.pl line 1. >> >> >> BEGIN failed--compilation aborted at ina/Strict-Perl-2015.08/test.pl
>> >> line
>> >> >> 1. >> >> >> [ben@mikan] {08:21 28} ~ 508 $ >> >> >> >> >> >> ------------------- >> >> >> >> >> >> That means it is not installed. Further, the file is not installed as >> >> >> you can see here: >> >> >> >> >> >> -------- >> >> >> >> >> >> [ben@mikan] {08:23 41} ~ 502 $ locate Perl.pm | grep Strict >> >> >> /usr/home/ben/.cpanm/work/1485301590.75554/Strict-Perl- >> >> >> 2015.08/Strict/Perl.pm >> >> >> /usr/home/ben/.cpanm/work/1485301654.75687/Strict-Perl- >> >> >> 2015.08/Strict/Perl.pm >> >> >> /usr/home/ben/.cpanm/work/1485302919.75909/Strict-Perl- >> >> >> 2015.08/Strict/Perl.pm >> >> >> /usr/home/ben/ina/Strict-Perl-2015.08/Strict/Perl.pm >> >> >> [ben@mikan] {08:23 48} ~ 503 $ >> >> >> >> >> >> ---------- >> >> >> >> >> >> I'm fairly sure it's not being installed. >> >> >>
>> >> >> >>
>>
RT-Send-CC: benkasminbullock [...] gmail.com, ina.cpan [...] gmail.com
Good report, thanks! ina


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.